/******************************************************************************
 * Copyright 2020 The siasun Transport Authors. All Rights Reserved.
 * robot内部使用glog作为日志库。
 * 有4个日志级别，分别是INFO/WARNING/ERROR/FATAL。
 * Author:mds
 * Licensed under the Apache License, Version 1.0 (the "License");
 *****************************************************************************/


#ifndef ROBOT_COMMON_LOG_H_
#define ROBOT_COMMON_LOG_H_

#include <glog/logging.h>
#include <glog/raw_logging.h>

/**
 * @namespace robot::common
 * @brief robot::common
 */
namespace robot{
namespace common{

//将信息输出到单独的文件和 LOG(ERROR)
void SignalHandle(const char* data, int size);

class GLogHelper
{
public:
    //GLOG配置：
    GLogHelper(char* program, std::string appName);
    //GLOG内存清理：
    ~GLogHelper();
};


} // common

} // robot




#endif  // ROBOT_COMMON_LOG_H_
